=== test/CMakeLists.txt ===
# test for charlls

#add_library(CharLS STATIC IMPORTED)

link_directories (..)
