=== debian/changelog ===
charls (1.0-1) unstable; urgency=low

  * Initial release (Closes: #624346)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 27 Apr 2011 18:26:56 +0200
