=== debian/control ===
Source: charls
Section: libs
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, quilt (>= 0.46-7~)
Standards-Version: 3.9.1
Homepage: http://charls.codeplex.com
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/charls/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/charls/trunk/

Package: libcharls-dev
Section: libdevel
Architecture: any
Depends: libcharls1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Implementation of the JPEG-LS standard
 CharLS is an optimized implementation of the JPEG-LS standard for lossless and
 near-lossless image compression
 .
 JPEG-LS (ISO-14495-1/ITU-T.87) is a standard derived from the Hewlett Packard
 LOCO algorithm. JPEG LS has low complexity (meaning fast compression) and high
 compression ratios, similar to JPEG 2000. JPEG-LS is more similar to the old
 Lossless JPEG than to JPEG 2000, but interestingly the two different techniques
 result in vastly different performance characteristics. 

Package: libcharls1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Implementation of the JPEG-LS standard
 CharLS is an optimized implementation of the JPEG-LS standard for lossless and
 near-lossless image compression
 .
 JPEG-LS (ISO-14495-1/ITU-T.87) is a standard derived from the Hewlett Packard
 LOCO algorithm. JPEG LS has low complexity (meaning fast compression) and high
 compression ratios, similar to JPEG 2000. JPEG-LS is more similar to the old
 Lossless JPEG than to JPEG 2000, but interestingly the two different techniques
 result in vastly different performance characteristics.
