=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for charls

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh --parallel --with quilt --buildsystem=cmake $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE:STRING=Release -Dcharls_BUILD_SHARED_LIBS:BOOL=ON

VER_MAJOR = 1
VER_MINOR = 0
VER_FULL = $(VER_MAJOR).$(VER_MINOR)

UPSTREAM_SRC = CharLS-source-$(VER_FULL)
DEBIAN_SRC_DIR = charls-$(VER_FULL)
DEBIAN_SRC_TAR = charls_$(VER_FULL).orig.tar.gz

$(UPSTREAM_SRC).zip:
	wget -c -O CharLS-source-1.0.zip "http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=charls&DownloadId=165715&FileTime=129338164013100000&Build=17748"

get-orig-source: $(UPSTREAM_SRC).zip
	rm -rf $(DEBIAN_SRC_DIR)
	unzip -q $(UPSTREAM_SRC).zip -d $(DEBIAN_SRC_DIR)
	# UNIX eol
	dos2unix $(DEBIAN_SRC_DIR)/*.h
	dos2unix $(DEBIAN_SRC_DIR)/*.c*
	dos2unix $(DEBIAN_SRC_DIR)/*.txt
	# remove dataset to reduce source size
	rm -rf $(DEBIAN_SRC_DIR)/test/conformance/
	rm -rf $(DEBIAN_SRC_DIR)/test/jlsimage/
	rm $(DEBIAN_SRC_DIR)/test/*.raw
	rm $(DEBIAN_SRC_DIR)/test/*.jls
	rm $(DEBIAN_SRC_DIR)/test/*.dcm
	rm $(DEBIAN_SRC_DIR)/test/*.ppm
	rm $(DEBIAN_SRC_DIR)/test/MR2_UNC
	GZIP="--best --no-name" tar czf $(DEBIAN_SRC_TAR) $(DEBIAN_SRC_DIR)
	rm -rf $(DEBIAN_SRC_DIR)
	rm $(UPSTREAM_SRC).zip
