=== debian/watch ===
version=3
http://charls.codeplex.com/releases/view/55406 CharLS-source-(.*)
