=== debian/changelog ===
charls (1.1.0+dfsg-2) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Adjust symbols

  [ Andreas Tille ]
  * Check whether we can use d-shlibs but no static lib is build.  Leave the
    code for documentation

 -- Andreas Tille <tille@debian.org>  Sun, 22 May 2016 16:11:53 +0200

charls (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version (use Files-Excluded)
    Closes: #824721, #824818
  * CharLS moved to Github
  * Packaging moved from SVN to Git
  * d/watch pointing to Github
    Closes: #824819
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Fri, 20 May 2016 23:29:00 +0200

charls (1.0-7) unstable; urgency=medium

  * Fix EncoderStrategy (Thanks for the patch to Victor Derks
    <vbaderks@gmail.com>)
    Closes: #816607
  * Add myself to Uploaders
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2016 15:52:42 +0200

charls (1.0-6) unstable; urgency=low

  * Really make the package multiarch capable. Closes: #768404
  * Bump Std-Vers to 3.9.6, no changes needed.

 -- Mathieu Malaterre <malat@debian.org>  Fri, 07 Nov 2014 09:20:43 +0100

charls (1.0-5) unstable; urgency=medium

  * Rework the symbol file to hide stl exported symbols

 -- Mathieu Malaterre <malat@debian.org>  Sun, 08 Dec 2013 12:26:36 +0100

charls (1.0-4) unstable; urgency=low

  * Do not set CMAKE_BUILD_TYPE. Closes: #731595
  * Fix exported symbols (add symbol file)

 -- Mathieu Malaterre <malat@debian.org>  Sun, 08 Dec 2013 08:56:17 +0100

charls (1.0-3) unstable; urgency=low

  * Team upload
  * debian/watch: uscan can not parse codeplex pages
  * debian/patches/charls_fix_clang_compilation_issue.patch:
    Apply patch from Mathieu Malaterre to enable compilation with clang
    Closes: #730612
  * cme fix dpkg-control
  * canonical Vcs-Svn URL
  * dicstinct short / long descriptions

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2013 08:53:27 +0100

charls (1.0-2) unstable; urgency=low

  [ Thorsten Alteholz ]
  * debian/rules: download URL for get-orig-source changed
  * debian/rules get-orig-source: put orig.tar.gz in ../tarballs to allow
    automatic build with svn-buildpackage

  [ Mathieu Malaterre ]
  * Use my @d.o alias
  * Remove DMUA flag
  * use dh(9), get hardening for free
  * make package multiarch
  * Bump Std-Vers to 3.9.3, no changes needed
  * Update d/copyright to latest dep5
  * Use dep3 for patches

 -- Mathieu Malaterre <malat@debian.org>  Wed, 11 Apr 2012 16:21:40 +0200
