=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--version-script=../exports.version
export DEB_CFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE:STRING=None \
 -DBUILD_SHARED_LIBS:BOOL=ON \
 -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

pkg_run = libcharls1
pkg_dev = libcharls-dev

override_dh_install-arch:
	# Runtime Package
	dh_install -p$(pkg_run) usr/lib/$(DEB_HOST_MULTIARCH)/lib*.so.*
	# Development Package
	dh_install -p$(pkg_dev) usr/include
	dh_install -p$(pkg_dev) usr/lib/$(DEB_HOST_MULTIARCH)/lib*.so
#	dh_install -a
#	d-shlibmove --commit \
#		     --multiarch \
#		     --devunversioned \
#		     --movedev debian/tmp/usr/include/* usr/include \
#		     debian/tmp/usr/lib/*/*.so
