=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://github.com/team-charls/charls/releases .*/archive/(1[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
