=== debian/changelog ===
charls (2.0.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * d/watch: Do not stick to charls 1.x any more
    Closes: #886560
  * New upstream version

  [ Mathieu Malaterre ]
  * Refresh patch for v2.0.0
  * Use default c++ standard used by gcc when compiling
  * Update to match SOVERSION

 -- Andreas Tille <tille@debian.org>  Thu, 03 Jan 2019 15:40:12 +0100

charls (1.1.0+dfsg-3) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Remove self from Uploaders

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Do not Build-Depend dpkg-dev
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright
  * Remove unneeded quilt patches

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 06:49:29 +0100
