=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,12 @@
  -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 %:
-	dh $@ --parallel --buildsystem=cmake
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
 
-pkg_run = libcharls1
+pkg_run = libcharls2
 pkg_dev = libcharls-dev
 
 override_dh_install-arch:
