=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://github.com/team-charls/charls/releases .*/archive/([\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
