## charls 2.1.0+dfsg

=== debian/changelog ===
charls (2.1.0+dfsg-8) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Team upload.
  * d/control: Run wrap-and-sort

  [ Adrian Bunk ]
  * d/control: Provide a clean upgrade path. Closes: #974544

 -- Mathieu Malaterre <malat@debian.org>  Thu, 12 Nov 2020 09:34:06 +0100

charls (2.1.0+dfsg-7) unstable; urgency=medium

  * Team upload.
  * d/mainscript: CharLS directory was removed in -6 version
  * d/control: Make sure to document issue with dcmtk/charls. See #973723
  * d/rule: Really install symlink. Closes: #972867

 -- Mathieu Malaterre <malat@debian.org>  Mon, 09 Nov 2020 14:41:25 +0100

charls (2.1.0+dfsg-6) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Team upload.
  * d/patches: Remove change_library_name patch
  * d/rules: Provide symlinks to mimic CharLS 2.0.x behavior. Closes: #972867

  [ Sebastiaan Couwenberg ]
  * d/*.maintscript: Switching a directory to symlink

 -- Mathieu Malaterre <malat@debian.org>  Tue, 03 Nov 2020 10:55:49 +0100

charls (2.1.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * d/patches: Refresh patches with minor cleanups
  * d/patches: Remove old patch for visibility stuff on GCC
  * d/rules: Do not compile the SAMPLES/TESTS
  * d/patches: Really only expose the public symbols
  * d/rules: Remove reference to old LIB_SUFFIX cmake variable

 -- Mathieu Malaterre <malat@debian.org>  Thu, 29 Oct 2020 17:58:11 +0100

charls (2.1.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * d/symbols: Fix incorrect entries in symbol file.

 -- Mathieu Malaterre <malat@debian.org>  Sun, 25 Oct 2020 18:00:55 +0100

charls (2.1.0+dfsg-3) unstable; urgency=medium

  * Modify symbols to hopefully build on failing archs

 -- Shayan Doust <hello@shayandoust.me>  Thu, 01 Oct 2020 14:27:14 +0100

charls (2.1.0+dfsg-2) unstable; urgency=medium

  * libCharLS.so not libcharls.so to prevent breakage
    (Closes: #971425, #971431, #971435)
  * Symbols file should mention libCharLS.so.2 with correct capitalisation

 -- Shayan Doust <hello@shayandoust.me>  Wed, 30 Sep 2020 19:07:18 +0100

charls (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.1.0+dfsg (Closes: #960578)
  * Update patches including exports.version
  * Update symbols
  * Add myself as an uploader
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Shayan Doust <hello@shayandoust.me>  Tue, 29 Sep 2020 20:53:35 +0000
