=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: charls
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Shayan Doust <hello@shayandoust.me>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dpkg-dev (>= 1.18.0),
-               cmake
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/charls.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/charls.git
+Build-Depends: cmake, debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/charls
+Vcs-Git: https://salsa.debian.org/med-team/charls.git
 Homepage: https://github.com/team-charls/charls
+Rules-Requires-Root: no
 
 Package: libcharls-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcharls1 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libcharls2 (= ${binary:Version}), ${misc:Depends}
+Pre-Depends: dpkg (>= 1.17.14)
+Breaks: libdcmtk-dev (<< 3.6.5-1~)
+Replaces: libdcmtk-dev (<< 3.6.5-1~)
 Description: Implementation of the JPEG-LS standard (development libraries)
  CharLS is an optimized implementation of the JPEG-LS standard for lossless and
  near-lossless image compression
@@ -30,12 +31,11 @@
  .
  This package contains the development files.
 
-Package: libcharls1
+Package: libcharls2
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Implementation of the JPEG-LS standard
  CharLS is an optimized implementation of the JPEG-LS standard for lossless and
