=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# SAMPLES/TESTS should be OFF by default:
+# https://github.com/team-charls/charls/issues/81#issuecomment-716385532
 CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE:STRING=None \
  -DBUILD_SHARED_LIBS:BOOL=ON \
- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
+ -DCHARLS_BUILD_SAMPLES:BOOL=OFF \
+ -DCHARLS_BUILD_TESTS:BOOL=OFF \
 
 %:
 	dh $@ --buildsystem=cmake
@@ -28,6 +31,10 @@
 	# Development Package
 	dh_install -p$(pkg_dev) usr/include
 	dh_install -p$(pkg_dev) usr/lib/$(DEB_HOST_MULTIARCH)/lib*.so
+	# See #971425, #971431 & #971435:
+	dh_link -p$(pkg_run) usr/lib/$(DEB_HOST_MULTIARCH)/libcharls.so.2 usr/lib/$(DEB_HOST_MULTIARCH)/libCharLS.so.2
+	dh_link -p$(pkg_dev) usr/lib/$(DEB_HOST_MULTIARCH)/libcharls.so usr/lib/$(DEB_HOST_MULTIARCH)/libCharLS.so
+	dh_link -p$(pkg_dev) usr/include/charls usr/include/CharLS
 #	dh_install -a
 #	d-shlibmove --commit \
 #		     --multiarch \
