## charls 2.2.0%2Bdfsg

=== debian/changelog ===
charls (2.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Make sure to install cmake specific files

 -- Mathieu Malaterre <malat@debian.org>  Wed, 27 Jan 2021 16:59:40 +0100

charls (2.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.0+dfsg
  * d/patches: Refresh patches for 2.2.0 release
  * d/control: Bump Std-Vers to 4.5.1, no changes needed
  * d/copyright: Remove binary file
  * d/symbols: Update the symbol file with the newly added one
  * d/control: Make sure to require cmake >= 3.13

 -- Mathieu Malaterre <malat@debian.org>  Wed, 27 Jan 2021 16:07:22 +0100
