=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
            Shayan Doust <hello@shayandoust.me>
 Section: science
 Priority: optional
-Build-Depends: cmake, debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Build-Depends: cmake (>= 3.13), debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/charls
 Vcs-Git: https://salsa.debian.org/med-team/charls.git
 Homepage: https://github.com/team-charls/charls
