=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
            Shayan Doust <hello@shayandoust.me>
 Section: science
 Priority: optional
-Build-Depends: cmake (>= 3.13), debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Build-Depends: cmake (>= 3.13),
+               debhelper-compat (= 13)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/charls
 Vcs-Git: https://salsa.debian.org/med-team/charls.git
 Homepage: https://github.com/team-charls/charls
@@ -15,8 +16,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcharls2 (= ${binary:Version}), ${misc:Depends}
-Pre-Depends: dpkg (>= 1.17.14)
+Depends: libcharls2 (= ${binary:Version}),
+         ${misc:Depends}
 Breaks: libdcmtk-dev (<< 3.6.5-1~)
 Replaces: libdcmtk-dev (<< 3.6.5-1~)
 Description: Implementation of the JPEG-LS standard (development libraries)
@@ -35,7 +36,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Implementation of the JPEG-LS standard
  CharLS is an optimized implementation of the JPEG-LS standard for lossless and
