=== debian/changelog ===
charls (2.2.1+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Team upload.
  * Rebuild for bullseye-backports.
  * d/watch: Update watch to latest version
  * New upstream version 2.2.1+dfsg. Closes: #1004842

 -- Mathieu Malaterre <malat@debian.org>  Mon, 07 Feb 2022 10:01:45 +0100
