=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,19 @@
 
 # Define the library "charls" target
 add_library(charls "")
+
+# Enable IPO (Interprocedural optimization) for shared lib in release mode with GCC for better performance.
+# Note: MSVC and Clang will create with IPO larger binaries that are not significant faster.
+if(BUILD_SHARED_LIBS AND CMAKE_CXX_COMPILER_ID MATCHES "GNU")
+  include(CheckIPOSupported)
+  check_ipo_supported(RESULT ipo_supported)
+  if(ipo_supported)
+      message("-- IPO is supported and used")
+      set_property(TARGET charls PROPERTY INTERPROCEDURAL_OPTIMIZATION_RELEASE TRUE)
+  else()
+      message("-- IPO is not supported")
+  endif()
+endif()
 
 target_include_directories(charls PUBLIC
   $<BUILD_INTERFACE:${charls_SOURCE_DIR}/include>
@@ -64,7 +77,7 @@
     "${CMAKE_CURRENT_LIST_DIR}/coding_parameters.h"
     "${CMAKE_CURRENT_LIST_DIR}/color_transform.h"
     "${CMAKE_CURRENT_LIST_DIR}/constants.h"
-    "${CMAKE_CURRENT_LIST_DIR}/context.h"
+    "${CMAKE_CURRENT_LIST_DIR}/context_regular_mode.h"
     "${CMAKE_CURRENT_LIST_DIR}/context_run_mode.h"
     "${CMAKE_CURRENT_LIST_DIR}/decoder_strategy.h"
     "${CMAKE_CURRENT_LIST_DIR}/default_traits.h"
@@ -98,6 +111,7 @@
 
 if(CHARLS_INSTALL)
   include(GNUInstallDirs)
+  include(CMakePackageConfigHelpers)
 
   install(TARGETS charls EXPORT charls_targets
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
@@ -106,10 +120,14 @@
     PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/charls
   )
 
+  write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/charlsConfigVersion.cmake COMPATIBILITY SameMajorVersion)
+
   # Configure and copy the pkg-config configuration file.
   # These type of configuration file can make it easier to detect if charls is installed.
   CONFIGURE_FILE("${CMAKE_CURRENT_LIST_DIR}/charls-template.pc" "charls.pc" @ONLY)
   install(FILES "${CMAKE_CURRENT_BINARY_DIR}/charls.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
 
-  install (EXPORT charls_targets FILE charlsConfig.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/charls)
+  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/charlsConfigVersion.cmake" DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/charls")
+
+  install(EXPORT charls_targets FILE charlsConfig.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/charls)
 endif()
