=== debian/changelog ===
charls (2.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/patches: Refactor patch for upstream submission
  * d/patches: Simplify std c++ version setup
  * New upstream version 2.3.1+dfsg
  * d/rules: Start building with more agressive warnings
  * d/rules: Start building test again
  * d/rules: Start building applications
  * d/rules: Simplify configuration using dpkg/default.mk
  * d/patches: Hide more symbols since DPKG_GENSYMBOLS_CHECK_LEVEL=4 now
  * d/patches: Add missing visibility setup

 -- Mathieu Malaterre <malat@debian.org>  Wed, 26 Jan 2022 10:20:00 +0100

charls (2.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.3.0+dfsg
  * d/patches: Refresh patches
  * d/symbols: Update symbol file to match new release

 -- Mathieu Malaterre <malat@debian.org>  Wed, 26 Jan 2022 09:20:37 +0100

charls (2.2.0+dfsg-4) unstable; urgency=medium

  * Extend CMakeLists.txt to create and install charlsConfigVersion.cmake
    Closes: #995831

 -- Andreas Tille <tille@debian.org>  Tue, 21 Dec 2021 07:59:22 +0100
